ACOS(3)

NAME
acos, acosf, acosl - arc cosine function

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
acos(double x);
float
acosf(float x);
long double
acosl(long double x);

DESCRIPTION
The acos(), acosf(), and acosl() functions compute the principal value of the arc cosine of x in the range [0,].

RETURN VALUES
If |x|>1, acos(x), acosf(x), and acosl(x) set the global variable errno to EDOM.

SEE ALSO
asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

STANDARDS
The acos() function conforms to isoC-99.